Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class ListExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ListExpression

    public class ListExpression
    extends Expression

Represents a list expression [1, 2, 3] which creates a mutable List

Authors:
  James Strachan

Version:
  \$Revision: 20591 \$

Constructor Summary
`ListExpression()`
`ListExpression(List expressions)`

Method Summary
`void` | `addExpression(Expression expression)`
`Expression` | `getExpression(int i)`
`List` | `getExpressions()`
`String` | `getText()`
`boolean` | `isWrapped()`
`void` | `setWrapped(boolean value)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ListExpression

    public ListExpression()

### ListExpression

    public ListExpression(List expressions)

Method Detail

### addExpression

    public void addExpression(Expression expression)

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public List getExpressions()

### getText

    public String getText()

### isWrapped

    public boolean isWrapped()

### setWrapped

    public void setWrapped(boolean value)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.